Operations
Get an asynchronous operation
Returns one durable asynchronous operation from the active organization. Use this endpoint to get an asynchronous operation through the Samva email API.
Returns one durable asynchronous operation from the active organization.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
operationId*string
Match
^op_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/operations/string"{ "id": "string", "organizationId": "string", "kind": "email-domain-provisioning", "subject": { "type": "string", "id": "string" }, "actor": { "type": "user", "id": "string" }, "status": "pending", "phase": "accepted", "error": { "code": "validation-failed", "message": "string" }, "createdAt": "string", "updatedAt": "string", "startedAt": "string", "completedAt": "string"}Set the workspace's overage limits
Sets whether this workspace can send beyond its included allowance and replaces its email overage spend limit.
List asynchronous operations
Lists durable asynchronous operation state for the active organization. Use this endpoint to list asynchronous operations through the Samva email API.